diff options
author | Patrick J Volkerding <volkerdi@slackware.com> | 2019-07-05 20:08:13 +0000 |
---|---|---|
committer | Eric Hameleers <alien@slackware.com> | 2019-07-06 08:59:49 +0200 |
commit | a4d0dd1f5db5958cdad3256093994939333afec2 (patch) | |
tree | 8f5b051558b83bcc4c0403438659028340de43f6 /source/ap/mariadb | |
parent | 3a97b5c90345b5a4a0ee4e9df0a88a9b57dfb3f5 (diff) | |
download | current-a4d0dd1f5db5958cdad3256093994939333afec2.tar.gz |
Fri Jul 5 20:08:13 UTC 201920190705200813
a/grub-2.04-x86_64-1.txz: Upgraded.
ap/mariadb-10.4.6-x86_64-2.txz: Rebuilt.
Patched mysql_install_db to comment out PAM related setup.
Thanks to Labinnah.
l/argon2-20190702-x86_64-2.txz: Rebuilt.
Fixed library install path. Thanks to phenixia2003.
l/imagemagick-6.9.10_52-x86_64-1.txz: Upgraded.
n/ModemManager-1.10.4-x86_64-1.txz: Upgraded.
x/libdrm-2.4.99-x86_64-1.txz: Upgraded.
x/libinput-1.13.4-x86_64-1.txz: Upgraded.
isolinux/efiboot.img: Rebuilt.
Diffstat (limited to 'source/ap/mariadb')
-rwxr-xr-x | source/ap/mariadb/mariadb.SlackBuild | 7 | ||||
-rw-r--r-- | source/ap/mariadb/mysql_install_db.nopam.diff | 44 |
2 files changed, 50 insertions, 1 deletions
diff --git a/source/ap/mariadb/mariadb.SlackBuild b/source/ap/mariadb/mariadb.SlackBuild index 482f66f1..4c31d8c3 100755 --- a/source/ap/mariadb/mariadb.SlackBuild +++ b/source/ap/mariadb/mariadb.SlackBuild @@ -30,7 +30,7 @@ cd $(dirname $0) ; CWD=$(pwd) PKGNAM=mariadb VERSION=${VERSION:-$(echo ${PKGNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)} -BUILD=${BUILD:-1} +BUILD=${BUILD:-2} # To reduce the package size, the embedded server may be omitted. Currently # only amarok uses this. To build without embedded support, set this to NO. @@ -90,6 +90,11 @@ rm -rf ${PKGNAM}-$VERSION tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1 cd ${PKGNAM}-$VERSION || exit 1 +# Fix mysql_install_db if PAM is not installed: +if [ ! -L /lib${LIBDIRSUFFIX}/libpam.so.0 ]; then + zcat $CWD/mysql_install_db.nopam.diff.gz | patch -p1 --verbose || exit 1 +fi + chown -R root:root . find . \ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \ diff --git a/source/ap/mariadb/mysql_install_db.nopam.diff b/source/ap/mariadb/mysql_install_db.nopam.diff new file mode 100644 index 00000000..d1fd2ad2 --- /dev/null +++ b/source/ap/mariadb/mysql_install_db.nopam.diff @@ -0,0 +1,44 @@ +--- ./scripts/mysql_install_db.sh.orig 2019-06-17 17:00:32.000000000 -0500 ++++ ./scripts/mysql_install_db.sh 2019-07-05 14:18:46.519035789 -0500 +@@ -467,23 +467,24 @@ + + if test -n "$user" + then +- chown $user "$pamtooldir/auth_pam_tool_dir" +- if test $? -ne 0 +- then +- echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory" +- echo " to the '$user' user. Check that you have the necessary permissions and try again." +- exit 1 +- fi +- if test -z "$srcdir" +- then +- chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool" +- if test $? -ne 0 +- then +- echo "Couldn't set an owner to '$pamtooldir/auth_pam_tool_dir/auth_pam_tool'." +- echo " It must be root, the PAM authentication plugin doesn't work otherwise.." +- echo +- fi +- fi ++ # Commented out since Slackware does not currently provide PAM: ++ #chown $user "$pamtooldir/auth_pam_tool_dir" ++ #if test $? -ne 0 ++ #then ++ # echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory" ++ # echo " to the '$user' user. Check that you have the necessary permissions and try again." ++ # exit 1 ++ #fi ++ #if test -z "$srcdir" ++ #then ++ # chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool" ++ # if test $? -ne 0 ++ # then ++ # echo "Couldn't set an owner to '$pamtooldir/auth_pam_tool_dir/auth_pam_tool'." ++ # echo " It must be root, the PAM authentication plugin doesn't work otherwise.." ++ # echo ++ # fi ++ #fi + args="$args --user=$user" + fi + |